Bug 226120 - net-mgmt/phpipam: update to 1.3.1
Summary: net-mgmt/phpipam: update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-22 16:48 UTC by Marko Cupać
Modified: 2018-04-03 16:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (jake)


Attachments
Makefile, distinfo and pkg-plist patches (82.71 KB, patch)
2018-03-13 09:11 UTC, Marko Cupać
no flags Details | Diff
new php modules (83.28 KB, patch)
2018-03-13 13:56 UTC, Marko Cupać
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2018-02-22 16:48:19 UTC
Hi,

phpipam FreeBSD port is currently at 1.2.1. phpipam 1.3 was released on in June of 2017, 1.3.1 in November of 2017. According to project's github page, 1.3.2 should be released soon, and apparently it will be fully php7.2 compatible.

Any chance to update port to 1.3.1?

Thank you in advance.
Comment 1 Tobias Kortkamp freebsd_committer 2018-03-13 08:39:27 UTC
(In reply to Marko Cupać from comment #0)
Can you submit a patch?
Comment 2 Marko Cupać 2018-03-13 09:11:26 UTC
Created attachment 191463 [details]
Makefile, distinfo and pkg-plist patches

I'm qute new to porting, but I got advice from jhale@ on ports@ mailing list about do-install line, and port now passes poudriere testport.
Comment 3 Marko Cupać 2018-03-13 13:56:45 UTC
Created attachment 191466 [details]
new php modules

Sorry, I submitted a patch before trying to install port on clean system. On an old system (upgrade) it worked, but on new system it installed fine but i had errors regarding missing php modules (namely pdo and pdo_mysql).

After last patch phpipam works on freshly installed system.
Comment 4 commit-hook freebsd_committer 2018-04-03 16:15:20 UTC
A commit references this bug:

Author: wen
Date: Tue Apr  3 16:14:54 UTC 2018
New revision: 466362
URL: https://svnweb.freebsd.org/changeset/ports/466362

Log:
  - Update to 1.3.1
  - Add missing PHP modules

  PR:		226120
  Submitted by:	marko.cupac@mimar.rs
  Approved by:	maintainer(timeout, > 20 days)

Changes:
  head/net-mgmt/phpipam/Makefile
  head/net-mgmt/phpipam/distinfo
  head/net-mgmt/phpipam/pkg-plist